Orxonox: orxonox::ConfigFileSection Class Reference

# orxonox::ConfigFileSection Class Reference

`#include <src/core/ConfigFileManager.h>`

List of all members.

## Public Member Functions

| ConfigFileSection (const std::string &name, const std::string &additionalComment="")
void | deleteVectorEntries (const std::string &name, unsigned int startindex=0)
std::string | getFileEntry () const
const std::string & | getName () const
std::string | getValue (const std::string &name, unsigned int index, const std::string &fallback, bool bString)
std::string | getValue (const std::string &name, const std::string &fallback, bool bString)
unsigned int | getVectorSize (const std::string &name)
void | setComment (const std::string &comment)
void | setValue (const std::string &name, unsigned int index, const std::string &value, bool bString)
void | setValue (const std::string &name, const std::string &value, bool bString)
| ~ConfigFileSection ()

## Private Member Functions

std::list< ConfigFileEntry * > & | getEntries ()
std::list< ConfigFileEntry * > ::const_iterator | getEntriesBegin () const
std::list< ConfigFileEntry * > ::const_iterator | getEntriesEnd () const
ConfigFileEntry * | getEntry (const std::string &name, unsigned int index, const std::string &fallback, bool bString)
ConfigFileEntry * | getEntry (const std::string &name, const std::string &fallback, bool bString)
std::list< ConfigFileEntry * > ::iterator | getEntryIterator (const std::string &name, unsigned int index, const std::string &fallback, bool bString)
std::list< ConfigFileEntry * > ::iterator | getEntryIterator (const std::string &name, const std::string &fallback, bool bString)

## Private Attributes

std::string | additionalComment_
bool | bUpdated_
std::list< ConfigFileEntry * > | entries_
std::string | name_

## Friends

class | ConfigFile

## Constructor & Destructor Documentation

orxonox::ConfigFileSection::ConfigFileSection | ( | const std::string & | name,
|  | const std::string & | additionalComment = `""` |
| ) |  |  | `[inline]`

orxonox::ConfigFileSection::~ConfigFileSection | ( |  | ) |

References entries_.

## Member Function Documentation

void orxonox::ConfigFileSection::deleteVectorEntries | ( | const std::string & | name,
|  | unsigned int | startindex = `0` |
| ) |  |  |

References entries_.

std::list<ConfigFileEntry*>& orxonox::ConfigFileSection::getEntries | ( |  | ) | `[inline, private]`

Referenced by orxonox::ConfigFile::load().

std::list<ConfigFileEntry*>::const_iterator orxonox::ConfigFileSection::getEntriesBegin | ( |  | ) | const`[inline, private]`

std::list<ConfigFileEntry*>::const_iterator orxonox::ConfigFileSection::getEntriesEnd | ( |  | ) | const`[inline, private]`

ConfigFileEntry* orxonox::ConfigFileSection::getEntry | ( | const std::string & | name,
|  | unsigned int | index,
|  | const std::string & | fallback,
|  | bool | bString |
| ) |  |  | `[inline, private]`

ConfigFileEntry* orxonox::ConfigFileSection::getEntry | ( | const std::string & | name,
|  | const std::string & | fallback,
|  | bool | bString |
| ) |  |  | `[inline, private]`

std::list< ConfigFileEntry * >::iterator orxonox::ConfigFileSection::getEntryIterator | ( | const std::string & | name,
|  | unsigned int | index,
|  | const std::string & | fallback,
|  | bool | bString |
| ) |  |  | `[private]`

References bUpdated_, entries_, and getEntryIterator().

std::list< ConfigFileEntry * >::iterator orxonox::ConfigFileSection::getEntryIterator | ( | const std::string & | name,
|  | const std::string & | fallback,
|  | bool | bString |
| ) |  |  | `[private]`

References bUpdated_, and entries_.

Referenced by getEntryIterator(), and orxonox::ConfigFile::load().

std::string orxonox::ConfigFileSection::getFileEntry | ( |  | ) | const

References additionalComment_, and name_.

const std::string& orxonox::ConfigFileSection::getName | ( |  | ) | const`[inline]`

std::string orxonox::ConfigFileSection::getValue | ( | const std::string & | name,
|  | unsigned int | index,
|  | const std::string & | fallback,
|  | bool | bString |
| ) |  |  | `[inline]`

std::string orxonox::ConfigFileSection::getValue | ( | const std::string & | name,
|  | const std::string & | fallback,
|  | bool | bString |
| ) |  |  | `[inline]`

unsigned int orxonox::ConfigFileSection::getVectorSize | ( | const std::string & | name | ) |

References entries_.

void orxonox::ConfigFileSection::setComment | ( | const std::string & | comment | ) | `[inline]`

void orxonox::ConfigFileSection::setValue | ( | const std::string & | name,
|  | unsigned int | index,
|  | const std::string & | value,
|  | bool | bString |
| ) |  |  | `[inline]`

void orxonox::ConfigFileSection::setValue | ( | const std::string & | name,
|  | const std::string & | value,
|  | bool | bString |
| ) |  |  | `[inline]`

## Friends And Related Function Documentation

friend class ConfigFile`[friend]`

## Member Data Documentation

std::string orxonox::ConfigFileSection::additionalComment_`[private]`

Referenced by getFileEntry().

bool orxonox::ConfigFileSection::bUpdated_`[private]`

Referenced by getEntryIterator().

std::list<ConfigFileEntry*> orxonox::ConfigFileSection::entries_`[private]`

Referenced by deleteVectorEntries(), getEntryIterator(), getVectorSize(), and ~ConfigFileSection().

std::string orxonox::ConfigFileSection::name_`[private]`

Referenced by getFileEntry().

The documentation for this class was generated from the following files:

- src/core/ConfigFileManager.h
- src/core/ConfigFileManager.cc